Bug 972224 - Review Request: extlinux-bootloader - The EXTLINUX bootloader framework, for booting the local system.
Review Request: extlinux-bootloader - The EXTLINUX bootloader framework, for ...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Disnard
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-07 16:55 EDT by Dennis Gilmore
Modified: 2013-06-21 21:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-21 21:22:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jdisnard: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dennis Gilmore 2013-06-07 16:55:41 EDT
Spec URL: http://ausil.us/packages/extlinux-bootloader.spec
SRPM URL: http://ausil.us/packages/extlinux-bootloader-1.0-1.fc19.src.rpm
Description: The EXTLINUX bootloader framework, for booting the local system.
u-boot on arm supports extlinux.conf config files
Fedora Account System Username: ausil
Comment 1 Jon Disnard 2013-06-07 20:32:06 EDT
Hello Dennis.

Please note this is my first review.


Build your package in mock using a Samsung Chromebook running f19.
The package is very simple and built as expected without any problems at all.

The rpmlint utility did not show any errors, and the warnings were BS.


$ rpmlint extlinux-bootloader-1.0-1.fc19.src.rpm 
extlinux-bootloader.src: W: summary-ended-with-dot C The EXTLINUX bootloader framework, for booting the local system.
extlinux-bootloader.src: W: spelling-error %description -l en_US conf -> con, cone, cons
extlinux-bootloader.src: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
extlinux-bootloader.src: W: invalid-url URL: http://fedoraproject.org/wiki/extlinux-bootloader HTTP Error 404: Not Found
extlinux-bootloader.src:9: W: unversioned-explicit-provides syslinux-extlinux
1 packages and 0 specfiles checked; 0 errors, 5 warnings.






As far as I can tell the package works as intended, but I have not performed an Anaconda steps to ensure.

So I give this a +1
Comment 2 Jon Disnard 2013-06-08 00:42:54 EDT
upon more review I found a problem as reported by rpmlint.

The package does not produce a binary file for armv7hl, just a text file.
However the spec file has 'ExclusiveArch:  %{arm}'

Please consider changing to a noarch package since it is a text file, but keep the ExclusiveArch.



$ rpmlint extlinux-bootloader-1.0-1.fc19.armv7hl.rpm 
extlinux-bootloader.armv7hl: W: summary-ended-with-dot C The EXTLINUX bootloader framework, for booting the local system.
extlinux-bootloader.armv7hl: W: spelling-error %description -l en_US conf -> con, cone, cons
extlinux-bootloader.armv7hl: W: spelling-error %description -l en_US config -> con fig, con-fig, configure
extlinux-bootloader.armv7hl: W: invalid-url URL: http://fedoraproject.org/wiki/extlinux-bootloader HTTP Error 404: Not Found
extlinux-bootloader.armv7hl: E: no-binary
extlinux-bootloader.armv7hl: W: no-documentation
extlinux-bootloader.armv7hl: W: dangling-relative-symlink /etc/extlinux.conf ../boot/extlinux/extlinux.conf
extlinux-bootloader.armv7hl: W: no-manual-page-for-binary extlinux
1 packages and 0 specfiles checked; 1 errors, 7 warnings.
Comment 3 Jon Disnard 2013-06-08 11:11:07 EDT
After some discussion looks like we can ignore the so-called error in rpmlint.
Comment 4 Dennis Gilmore 2013-06-11 09:16:36 EDT
New Package SCM Request
=======================
Package Name: extlinux-bootloader
Short Description: The EXTLINUX bootloader framework, for booting the local system
Owners: ausil
Branches: f19
InitialCC:
Comment 5 Dennis Gilmore 2013-06-11 09:19:37 EDT
Git done (by process-git-requests).
Comment 6 Dennis Gilmore 2013-06-21 21:22:49 EDT
built and in

Note You need to log in before you can comment on or make changes to this bug.